%global modulename JSONStream

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-JSONStream
Version:        1.3.5
Release:        1%{?dist}
Summary:        rawStream.pipe(JSONStream.parse()).pipe(streamOfObjects)

License:        (MIT or ASL 2.0)
URL:            http://github.com/dominictarr/JSONStream
Source0:        https://registry.npmjs.org/JSONStream/-/JSONStream-1.3.5.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(jsonparse) >= 1.2.0 with npmlib(jsonparse) < 2.0.0))
BuildRequires:  ((npmlib(through) >= 2.2.7 with npmlib(through) < 3.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
rawStream.pipe(JSONStream.parse()).pipe(streamOfObjects)

%package 1.3.5
Summary:        rawStream.pipe(JSONStream.parse()).pipe(streamOfObjects)


%description 1.3.5
rawStream.pipe(JSONStream.parse()).pipe(streamOfObjects)

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .travis.yml %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr bin.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr examples %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr test %{buildroot}%{npmlib_dir}/%{modulename}/%{version}

mkdir -p %{buildroot}%{_bindir}
ln -s %{npmlib_dir}/%{modulename}/%{version}/bin.js %{buildroot}/%{_bindir}/JSONStream


mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc readme.markdown
%license LICENSE.APACHE2
%license LICENSE.MIT
%{_bindir}/JSONStream
%{nodejs_dir}/%{modulename}

%files 1.3.5
%doc readme.markdown
%license LICENSE.APACHE2
%license LICENSE.MIT
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Fri Nov 16 2018 npm2srpm <dshea@redhat.com> - 1.3.5-1
- Package automatically generated by npm2srpm
